@import url('https://fonts.googleapis.com/css2?family=Cinzel:wght@400..900&family=Monsieur+La+Doulaise&family=Open+Sans:ital,wght@0,300..800;1,300..800&display=swap');

:root {
    --ivory: #fffff0;
    --beige: #F5F5DC;
    --eggshell: #F0EAD6;

    --terracota: #BC6637;
    --rust: #A84E29;
    --burgundy: #691B19;
    --sage: #556251;
    --navy: #1B2D39;

    --neutral-white: #fff;
    --neutral-black: #0B0100;

    --dark-bg: var(--sage);
    --light-bg: var(--ivory);
    --accent-bg: var(--burgundy);

    --color-text: var(--neutral-black);
    --color-text-inverted: var(--neutral-white);

    --border-color: var(--neutral-black);

    --brown: #544E38;

    --heading-big_font: "Monsieur La Doulaise";
    --heading_font: "Cinzel";
    --main_font: "Open Sans";

    --heading-big_size: 7rem;
    --heading-big-mob_size: 4rem;
    --heading_size: 2rem;

}

body {
    background-color: var(--beige);
    color: var(--color-text);
    font-family: var(--main_font);
    line-height: 1.5rem;
}

main {
    width: 60vw;
    max-width: 1000px;
    margin: auto;
    /* background-color: var(--light-bg); */
    padding: 1rem 2rem;
    height: 100%;
}

h2 {
    font-family: var(--heading_font);
    font-size: 1.5rem;
    padding-bottom: 1rem;
}

p {
    padding-bottom: 0.5rem;
}

strong {
    font-weight: bolder;
}
em {
    font-style: italic;
}

.logo {
    width: 5rem;
    height: 5rem;
}

header {
    position: relative;
}

header .nav_container {
    display: flex;
    background-color: var(--accent-bg);
    height: 5rem;
    padding: 1rem 0.5rem 0.5rem 0.5rem;
    position: relative;
    z-index: 10;
    -webkit-box-shadow: 0px 5px 6px -4px rgba(57, 44, 27, 1);
    -moz-box-shadow: 0px 5px 6px -4px rgba(57, 44, 27, 1);
    box-shadow: 0px 5px 6px -4px rgba(57, 44, 27, 1);
    align-items: center;
}

header nav ul li {
    text-transform: uppercase;
}

header nav ul li a {
    color: var(--neutral-white);
    text-decoration: none;
    display: inline-block;
    height: 100%;
    /* width: 100%; */
    font-family: var(--heading_font);
}

header img.header-img {
    display: block;
    margin: auto;
    width: 100%;
    object-fit: cover;
}

main header {
    padding: 3rem 0 1rem 0;
    text-align: center;
}

main header.hero-header {
    padding: 1rem 0 3rem 0;
}

main header h1 {
    font-family: var(--heading-big_font);
    text-align: center;
    padding: 3rem 0 3rem 0;
}

main header.hero-header h1 {
    padding: 3rem 0 5rem 0;
}

main header p.header_p {
    margin-top: 2rem;
}

main header time.date {
    display: block;
    text-align: center;
    font-family: var(--heading_font);
}

main header time.date span.date-time {
    padding: 0 1rem;
}

main header time.date span.middle {
    border-left: var(--border-color) 1px solid;
    border-right: var(--border-color) 1px solid;
}

main .count-down {
    margin-top: 2rem;
}

main .count-down ul {
    margin: 0 0 3rem 0;
    width: 100%;
    background: var(--accent-bg);
    box-shadow: 0 0 0 100vmax var(--accent-bg);
    clip-path: inset(0 -100vmax);
}

main .count-down ul li {
    color: var(--color-text-inverted);
    display: flex;
    flex-direction: column;
    text-align: center;
    margin: 0 0.5rem;
}

main .count-down ul li span {
    font-size: var(--heading_size);
    padding-bottom: 0.5rem;
}

.rsvp-response h1 {
    font-family: var(--heading-big_font);
    font-size: var(--heading-big_size);
    text-align: left;
    padding: 3rem 0 5rem 0;
}

.cta-section {
  padding: clamp(1.5rem, 2vw + 1rem, 3rem);
  background: var(--sage);
  border: 1px solid transparent;
  border-radius: 12px;
  color: var(--color-text-inverted);
  margin: 5rem 0;
}


.cta-wrap {
  display: grid;
  gap: 1.75rem;
  align-items: start;
}



.event-facts {
  margin: 0;
  display: grid;
  gap: var(--space-3);
}

/* Varje rad i listan */
.event-facts .fact {
  display: grid;
  grid-template-columns: 2fr minmax(8ch, 2fr);
  gap: 0.75rem;
  align-items: baseline;
  padding: 1rem 0;
  border-bottom: 1px dashed var(--ivory);
}


.event-facts .fact:last-child {
  border-bottom: none;
}

.event-facts dt {
  font-weight: 600;
}

.event-facts dd {
  margin: 0;
}


.cta-block {
    height: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
}


.link_btn {
  --btn-padding-y: 0.9rem;
  --btn-padding-x: 1.25rem;
  --btn-font: 1rem;

  display: inline-flex;
  align-items: center;
  justify-content: center;
  gap: 0.5rem;

  padding: var(--btn-padding-y) calc(var(--btn-padding-x) * 1.3);
  font-size: var(--btn-font);
  font-weight: 700;
  line-height: 1;
  text-decoration: none;

  color: var(--color-text-inverted);
  background: var(--rust);

  border: 1;
  border-radius: 8px;
  box-shadow: 0 0 10px 8px rgba(0, 0, 0, 0.08);

  transition: background-color .18s ease, transform .1s ease, box-shadow .18s ease;
}


.link_btn:hover {
  background: var(--ivory);
  color: var(--color-text);
  transform: translateY(-1px);
}

.link_btn:active {
  transform: translateY(0);
}

.link_btn:focus-visible, .link_btn:focus {
  outline: 3px solid var(--ivory);
  outline-offset: 5px;
}

.link_btn span img.arrow {
    width: 20px;
    height: 20px;
    transition: transform 0.2s ease;
}

.link_btn:hover span img.arrow {
    filter: invert(1);
    transform: translateX(4px); 
}


article {
    margin: 0 auto;
}

/* article.start-page {
    margin: 3rem auto;
    width: 80%;
} */

figure.polaroid {
    margin: 1rem auto 2rem auto;
    background-color: var(--neutral-white);
    padding: 1rem 1rem 4rem;
    box-shadow: 4px 3px 15px 5px var(--dark-bg);
    max-width: max-content;
    transform: translate(-10px, 10px) rotate(5deg);
}

img.img {
    width: 100%;
    max-width: 300px;
}

.faq_art {
    margin-top: 2rem;
}

ul.faq-list {
    margin-bottom: 5rem;
}

.faq_art section h2 {
    text-align: center;
}

/* Light styling for presentation */
details {
  border-block-end: 1px solid var(--burgundy);
  margin-block: .5rem;
  padding-block: .5rem;
}

summary {
    list-style: none;
    position: relative;
    anchor-name: --summary;
  
  &::marker {
    content: "";
    display: none;
  }
  &::-webkit-details-marker {
    display: none;
  }
  
  &::before,
  &::after {
    content: "";
    border-block-start: 3px solid var(--burgundy);
    height: 0;
    width: 1rem;
    
    inset-block-start: 50%;
    inset-inline-end: 0;
    
    position: absolute;
    position-anchor: --summary;
    position-area: top end;
  }
  
  &::after {
    transform: rotate(90deg);
    transform-origin: 50%;
  }
}

details[open] summary::after {
  transform: rotate(0deg);
}

/* details[open] {
    background-color: var(--ivory);
    border: 1px solid transparent;
    border-radius: 5px;
} */

summary span {
    display: block;
    padding-right: 1.5rem;
}

.QandA {
    margin-bottom: 0.5rem;
    padding: 5px;
}

.QandA summary {
    font-family: var(--main_font);
    cursor: pointer;
    font-size: 1.2rem;
    padding-bottom: 0.5rem;
}

.QandA p {
    padding-right: 3vw;
}

footer {
    /* min-height: 300px; */
    background-color: var(--navy);
    padding: 5rem 0;
    color: var(--color-text-inverted);
}

footer .flex {
    display: flex;
    justify-content: space-around;
    flex-wrap: wrap;
    row-gap: 4rem;
}

footer .flex div {
    padding-top: 2rem;
}

footer .flex dl dd {
    padding-bottom: 0.5rem;
}

footer .flex a img.logo {
    width: 200px;
    height: 200px;
}

footer .flex a {
    color: var(--eggshell);
    text-underline-offset: 4px;
}


.rsvp-response {
    min-height: 40vh;
    margin: 3rem auto;
}

@media only screen and (max-width: 700px) {
    .desktop-only {
        display: none;
    }

    header .nav_container {
        padding: 1rem 0.5rem 0.5rem 0.5rem;
    }

    header .nav_container ul li a {
        padding: 1rem 0 1rem 1rem;
    }

    header nav.mobile-topnav {
        display: none;
        position: fixed;
        top: 5rem;
        left: 0;
        width: 100%;
        background-color: var(--beige);
    }

    header nav.mobile-topnav.responsive {
        display: block;
        -webkit-box-shadow: 0px 5px 6px -4px rgba(57, 44, 27, 1);
        -moz-box-shadow: 0px 5px 6px -4px rgba(57, 44, 27, 1);
        box-shadow: 0px 5px 6px -4px rgba(57, 44, 27, 1);
        position: absolute;
        top: 6.5rem;
    }

    header nav ul li:not(:last-child) {
        -webkit-box-shadow: 0 4px 6px -6px var(--dark-bg);
        -moz-box-shadow: 0 4px 6px -6px var(--dark-bg);
        box-shadow: 0 4px 6px -6px var(--dark-bg);
    }

    header nav ul li {
        width: 100%;
        text-align: center;
        padding: 0.5rem 0;
    }

    header nav ul li a {
        color: var(--color-text);
    }

    header .menu_btn {
        height: 3rem;
        width: 5rem;
        position: absolute;
        right: 0;
        background-color: transparent;
        border: 0;
    }

    header .menu_btn img {
        height: 80%;
        width: 80%;
        object-fit: cover;
    }

    main {
        width: 80%;
    }

    main header h1 {
        font-size: var(--heading-big-mob_size);
        line-height: 1.1;
        padding: 0;
    }

    main header time.date {
        font-size: 1.5rem;
        display: flex;
        justify-content: center;
    }

    main .count-down ul {
        display: block;
        padding: 1.5rem 0;
    }

    main .count-down ul li {
        padding: 1rem;
    }

    main article {
        width: 100%;
        margin-top: 0;
    }

    main article.rsvp-art {
        width: 100%;
    }

    figure {
        padding: 2rem 0;
    }
  
    .event-facts .fact {
        grid-template-columns: 1fr;
    }

    .QandA p {
        padding-right: 10vw;
    }

    footer .flex {
        flex-direction: column;
        align-items: center;
    }
}


/* TABLET SIZE AND OVER */
@media only screen and (min-width: 700px) {
    header .menu_btn,
    .mobile-topnav {
        display: none;
    }

    header ul {
        display: flex;
    }

    header .nav_container {
        padding: 1rem 3rem;
    }

    header .nav_container .desktop-topnav {
        position: absolute;
        right: 3rem;
    }

    header nav ul li {
        padding: 0 1rem;
    }

    header img.header-img {
        max-width: 1000px;
        mask-image: linear-gradient(to right, transparent 0%, black 10%, black 90%, transparent 100%);
        -webkit-mask-image: linear-gradient(to right, transparent 0%, black 10%, black 90%, transparent 100%);
    }

    main header h1 {
        font-size: var(--heading-big_size);
    }

    header time.date {
        font-size: var(--heading_size);
        display: flex;
        justify-content: center;
    }

    main .count-down ul {
        display: flex;
        align-items: center;
        justify-content: center;
        padding: 0;
    }

    main .count-down ul li {
        padding: 2rem 2rem;
    }
}

@media only screen and (min-width: 1100px) {
    article {
        width: 80%;
    }
    
    div.img-block {
        display: grid;
        align-items: center;
        column-gap: 3vw;
    }

    div.img-right {
        grid-template-columns: 2fr 1fr;
    }

    div.img-left {
        grid-template-columns: 1fr 2fr;
    }

    figure.polaroid {
        margin: 1rem 0 2rem 0;
    }


    img.img {
        max-height: 16rem;
        max-width: none;
        width: auto;
    }
    
  .cta-wrap {
    grid-template-columns: 1fr auto; 
    gap: 2.5rem;
  }
}

